%define major     0
%define libname   %mklibname xeus-sql %major
%define develname %mklibname xeus-sql -d

Name:           xeus-sql
Version:        0.2.0
Release:        %mkrel 1
Summary:        xeus-sql is a Jupyter kernel for general SQL

License:        BSD
URL:            https://github.com/jupyter-xeus/xeus-sql.git
Source0:        https://github.com/jupyter-xeus/xeus-sql/archive/%{version}/%{name}-%{version}.tar.gz
Group:          System/Libraries
BuildRequires:  cmake
BuildRequires:  xeus-devel
BuildRequires:  soci-devel
BuildRequires:  xvega-bindings-devel
BuildRequires:  cmake(xtl)
BuildRequires:  cmake(tabulate)
BuildRequires:  cmake(xeus-zmq)
Patch0: cmake.patch
Requires:      %{libname} = %{version}-%{release}

%description
xeus-sql is a Jupyter kernel for general SQL implementations based on the native implementation of the Jupyter protocol xeus and SOCI, a database access library for C++.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS=ON -DXSQL_BUILD_STATIC=OFF
%cmake_build

%install
%cmake_install

%check
%package -n %{libname}
Summary: %{summary}
Provides:  xeus-sql-libs = %{version}-%{release}

%description -n %{libname}
xeus-sql is a Jupyter kernel for general SQL implementations based on the native implementation of the Jupyter protocol xeus and SOCI, a database access library for C++.

%package -n %{develname}
Summary:        %{summary}
Provides:      xeus-sql-devel = %{version}-%{release}
Requires:      %{libname} = %{version}-%{release}

%description -n %{develname}
xeus-sql is a Jupyter kernel for general SQL implementations based on the native implementation of the Jupyter protocol xeus and SOCI, a database access library for C++.

%files
%{_bindir}/xsql
%{_datadir}/jupyter/kernels/xsql

%files -n %{libname}
%{_libdir}/libxeus-sql.so.%{major}*

%files -n %{develname}
%doc README.md
%license LICENSE
%{_includedir}/xeus-sql
%{_libdir}/cmake/xeus-sql
%{_libdir}/libxeus-sql.so


%changelog
* Sun Dec 18 2022 joequant <joequant> 0.2.0-1.mga9
+ Revision: 1925189
- update to 0.2.0

* Mon Jun 27 2022 joequant <joequant> 0.1.5-2.mga9
+ Revision: 1866414
- fix deps

* Sun Jun 26 2022 joequant <joequant> 0.1.5-1.mga9
+ Revision: 1866394
- update deps
- update deps
- imported package xeus-sql

